Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QWizard.WizardButton

    java.lang.Object
      java.lang.Enum<QWizard.WizardButton>
          com.trolltech.qt.gui.QWizard.WizardButton

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QWizard.WizardButton>

Enclosing class:
  QWizard

    public static enum QWizard.WizardButton

extends java.lang.Enum<QWizard.WizardButton>
implements QtEnumerator

This enum specifies the buttons in a wizard.

Constant | Value | Description
--- | --- | ---
`BackButton` | `0` | The Back button (Go Back on Mac OS X)
`NextButton` | `1` | The Next button (Continue on Mac OS X)
`CommitButton` | `2` | The Commit button
`FinishButton` | `3` | The Finish button (Done on Mac OS X)
`CancelButton` | `4` | The Cancel button (see also `NoCancelButton`)
`HelpButton` | `5` | The Help button (see also `HaveHelpButton`)
`CustomButton1` | `6` | The first user-defined button (see also `HaveCustomButton1`)
`CustomButton2` | `7` | The second user-defined button (see also `HaveCustomButton2`)
`CustomButton3` | `8` | The third user-defined button (see also `HaveCustomButton3`)

The following value is only useful when calling `setButtonLayout`:

Constant | Value | Description
--- | --- | ---
`Stretch` | `9` | A horizontal stretch in the button layout

See Also:
  `setButton`, `setButtonText`, `setButtonLayout`, `customButtonClicked`

Enum Constant Summary
`BackButton` The Back button (Go Back on Mac OS X)
`CancelButton` The Cancel button (see also `NoCancelButton`)
`CommitButton` The Commit button
`CustomButton1` The first user-defined button (see also `HaveCustomButton1`)
`CustomButton2` The second user-defined button (see also `HaveCustomButton2`)
`CustomButton3` The third user-defined button (see also `HaveCustomButton3`)
`FinishButton` The Finish button (Done on Mac OS X)
`HelpButton` The Help button (see also `HaveHelpButton`)
`NextButton` The Next button (Continue on Mac OS X)
`NoButton` Internal.
`Stretch` A horizontal stretch in the button layout

Method Summary
`static QWizard.WizardButton` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWizard.WizardButton` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QWizard.WizardButton[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BackButton

    public static final QWizard.WizardButton BackButton

  The Back button (Go Back on Mac OS X)

### NextButton

    public static final QWizard.WizardButton NextButton

  The Next button (Continue on Mac OS X)

### CommitButton

    public static final QWizard.WizardButton CommitButton

  The Commit button

### FinishButton

    public static final QWizard.WizardButton FinishButton

  The Finish button (Done on Mac OS X)

### CancelButton

    public static final QWizard.WizardButton CancelButton

  The Cancel button (see also `NoCancelButton`)

### HelpButton

    public static final QWizard.WizardButton HelpButton

  The Help button (see also `HaveHelpButton`)

### CustomButton1

    public static final QWizard.WizardButton CustomButton1

  The first user-defined button (see also `HaveCustomButton1`)

### CustomButton2

    public static final QWizard.WizardButton CustomButton2

  The second user-defined button (see also `HaveCustomButton2`)

### CustomButton3

    public static final QWizard.WizardButton CustomButton3

  The third user-defined button (see also `HaveCustomButton3`)

### Stretch

    public static final QWizard.WizardButton Stretch

  A horizontal stretch in the button layout

### NoButton

    public static final QWizard.WizardButton NoButton

  Internal.

Method Detail

### values

    public static final QWizard.WizardButton[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QWizard.WizardButton c : QWizard.WizardButton.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QWizard.WizardButton valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWizard.WizardButton resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD